PAPI_list_events(3)

NAME
PAPI_list_events -

list the events in an event set

SYNOPSIS

Detailed Description

List the events in an event set.

PAPI_list_events() returns an array of events and a count of the

 total number of events in an event set. This call assumes an initialized PAPI library and a successfully created event set.

C Interface
    #include <papi.h>
     int PAPI_list_events(int *EventSet, int *Events, int *number );

Parameters:
    EventSet An integer handle for a PAPI event set as created by PAPI_create_eventset
    *Events A pointer to a preallocated array of codes for events, such as PAPI_INT_INS. No more than *number codes will be stored into the array.
    *number On input, the size of the Events array, or maximum number of event codes to be returned. A value of 0 can be used to probe an event set. On output, the number of events actually in the event set. This value may be greater than the actually stored number of event codes.

Return values:
    PAPI_EINVAL
    PAPI_ENOEVST

Examples:

            if (PAPI_event_name_to_code("PAPI_TOT_INS",&EventCode) != PAPI_OK)
            exit(1);
            if (PAPI_add_event(EventSet, EventCode) != PAPI_OK)
            exit(1);
            Convert a second event name to an event code
            if (PAPI_event_name_to_code("PAPI_L1_LDM",&EventCode) != PAPI_OK)
            exit(1);
            if (PAPI_add_event(EventSet, EventCode) != PAPI_OK)
            exit(1);
            number = 0;
            if(PAPI_list_events(EventSet, NULL, &number))
            exit(1);
            if(number != 2)
            exit(1);
            if(PAPI_list_events(EventSet, Events, &number))
            exit(1);
    *

See Also:
    PAPI_event_code_to_name

    PAPI_event_name_to_code

    PAPI_add_event

    PAPI_create_eventset

Fortran Interface:
    #include 'fpapi.h'
     PAPI_list_events( C_INT EventSet, C_INT(*) Events, C_INT number, C_INT check )

See Also:
    PAPI_list_events

Author

Generated automatically by Doxygen for PAPI from the source code.